{literal}
<style>
	.indOffer .borderless th,.indOffer .borderless td {border-bottom:0;padding-bottom:0;}
	.indOffer .borderless + tr th,.indOffer .borderless + tr td {border-top:0;padding-top:2px;}
	.mr-2 {margin-right: 0.5em!important;}
	.ml-15 {margin-left: 15px!important;}
</style>
{/literal}
<div class="widget-custom-data indOffer">
	{if $cIndividualOfferHinweis|@count > 0}
		<div class="alert alert-success"><i class="fa fa-warning"></i> {$cIndividualOfferHinweis}</div>
	{/if}	
	{if $cIndividualOfferFehler|@count > 0}
		<div class="alert alert-danger"><i class="fa fa-warning"></i> {$cIndividualOfferFehler}</div>
	{/if}	
	{if $oAnfragen|@count > 0}
		{assign var="colspan" value=2}
		{if $oIndividualOfferPlugin->oPluginEinstellungAssoc_arr.bPreisvorschlag == 'Y'}{assign var="colspan" value=$colspan+1}{/if}
		{if $oIndividualOfferPlugin->oPluginEinstellungAssoc_arr.bAdminLieferzeit == 'Y'}{assign var="colspan" value=$colspan+1}{/if}
		<table class="table table-sm table-light">
			<thead class="thead-dark">
				<tr class="borderless">
					<th scope="col" class="text-left" colspan="2">Zeit</th>
					<th scope="col" class="text-left" colspan="{$colspan}">Kunde</th>
				</tr>
				<tr class="borderless">
					<th scope="col" colspan="4">Artikel</th>
				</tr>
				<tr>
{if $oIndividualOfferPlugin->oPluginEinstellungAssoc_arr.bPreisvorschlag == 'Y'}		
					<th scope="col">Preisvorschlag</th>
{/if}
{if $oIndividualOfferPlugin->oPluginEinstellungAssoc_arr.bAdminLieferzeit == 'Y'}
					<th scope="col" class="text-nowrap">Lieferzeit <i class="fa fa-question-circle" title="(X - Y Tage/Wochen)" data-toggle="tooltip" data-html="true" data-placement="top"></i></th>
{/if}
					<th scope="col" class="text-nowrap">K-Wert <i class="fa fa-question-circle" title="Kuponwert Bezogen auf die Gesamtmenge des Artikels" data-toggle="tooltip" data-html="true" data-placement="top"></i></th>
					<th scope="col"  class="text-nowrap" colspan="{$colspan}">K-Typ <i class="fa fa-question-circle" title="Kuponwert als Festpreis oder in Prozent" data-toggle="tooltip" data-html="true" data-placement="top"></i></th>
					<th scope="col"></th>
				</tr>
			</thead>
			<tbody>
		{foreach name=anfragen item=anfrage from=$oAnfragen}
				{if $anfrage->cType == 'product'}
					{assign var=cParams_arr value=$anfrage->tParams|@base64_decode|@unserialize}
				{else}
					{assign var=cParams_arr value=$anfrage->tParams|@base64_decode|@unserialize}
				{/if}
				<tr class="borderless">
					<td colspan="2">{$anfrage->nTimestamp|date_format: "%Y-%m-%d %H:%M:%S"}</td>
					<td colspan="{$colspan}">{$anfrage->cName} <i class="fa fa-envelope" title="{$anfrage->cMail}" data-toggle="tooltip" data-html="true" data-placement="top"></i> <i class="fa fa-file-text" title="{$anfrage->tMailText|nl2br}" data-toggle="tooltip" data-html="true" data-placement="top"></i></td>
				</tr>
				<tr class="borderless">
					{if $anfrage->cType == 'product'}
						<td colspan="4"><a href="/{$cParams_arr.cURL}" target="_blank" title="<div class='ArtikelPopup'><img src='/{$cParams_arr.cBildURL}'><div class='price'>{$cParams_arr.cPreis}</div><div class='artikelnummer'>Art.-Nr.: {$cParams_arr.cArtNr}</div></div>" data-toggle="tooltip" data-html="true" data-placement="top">{$cParams_arr.anzahl} x {$cParams_arr.cName}</a> <i class="fa fa-info-circle tt"></i></td>
					{else}
						<td colspan="4">
							{assign var=Warenkorb value=$cParams_arr.Warenkorb}
							{*$Warenkorb->PositionenArr|@var_dump*}
							<span title="{include file=$oIndividualOfferPlugin->cAdminmenuPfad|cat:"template/inc/basekt_items.tpl" basketPositions=$Warenkorb->PositionenArr}" data-toggle="tooltip" data-html="true" data-placement="top">
								<i class="fa fa-shopping-cart tt"></i>{*$cParams_arr|@print_r*}
								{$cParams_arr.WarensummeLocalized[1]} <i class="fa fa-info-circle tt"></i>
							</span>
						</td>
					{/if}
				</tr>
				<tr>
{if $oIndividualOfferPlugin->oPluginEinstellungAssoc_arr.bPreisvorschlag == 'Y'}		
					<td class="text-nowrap">
						{if $anfrage->fPreisvorschlag > 0}
							{$anfrage->fPreisvorschlag}
							{if $anfrage->cPreisvorschlagReferenz != ''}
								{if $anfrage->cPreisvorschlagReferenz|strpos:'http' === 0}<a href="{$anfrage->cPreisvorschlagReferenz}" target="_blank">{/if}<i class="fa fa-desktop" title="{$anfrage->cPreisvorschlagReferenz}" data-toggle="tooltip" data-html="true" data-placement="top"></i>{if $anfrage->cPreisvorschlagReferenz|strpos:'http' === 0}</a>{/if} 
							{/if} 
							<input type="checkbox" name="bPreisvorschlagAkzeptiert" form="formAnfrage{$smarty.foreach.anfragen.iteration}" value="1" class="mr-2 ml-15"><i class="fa fa-check" title="Preisvorschlag akzeptieren" data-toggle="tooltip" data-html="true" data-placement="top"></i>
						{/if}
					</td>
{/if}
{if $oIndividualOfferPlugin->oPluginEinstellungAssoc_arr.bAdminLieferzeit == 'Y'}
					<td class="text-nowrap"><input name="cLieferzeit" form="formAnfrage{$smarty.foreach.anfragen.iteration}" type="text" value="" class="form-control"></td>
{/if}
					<td class="text-nowrap">
						<form id="formAnfrage{$smarty.foreach.anfragen.iteration}" action="plugin.php?kPlugin={$oIndividualOfferPlugin->kPlugin}&cPluginTab=Angebote" method="post">
							<input name="kAnfrage" type="hidden" value="{$anfrage->kAnfrage}">
							<input name="action" type="hidden" value="sendOfferDashboard">
							<input name="cName" type="hidden" value="{$anfrage->cName}">
							<input name="cMail" type="hidden" value="{$anfrage->cMail}">
							<input name="cAnrede" type="hidden" value="{$anfrage->cAnrede}">
							<input type="hidden" name="fPreisvorschlag" value="{$anfrage->fPreisvorschlag}">
							{if $anfrage->cType == 'product'}
								<input name="kSteuerklasse" type="hidden" value="{$cParams_arr.kSteuerklasse}">
								<input name="fMindestbestellwert" type="hidden" value="{$cParams_arr.fPreis}">
								<input name="cArtNr" type="hidden" value="{$cParams_arr.cArtNr}">
								<input name="cArtikelName" type="hidden" value="{$cParams_arr.cName}">
								<input name="cArtikelAlterPreis" type="hidden" value="{$cParams_arr.fPreis}">
								<input name="nMenge" type="hidden" value="{$cParams_arr.anzahl}">
								<input name="kKundengruppe" type="hidden" value="{$cParams_arr.kKundengruppe}">
								<input name="cType" type="hidden" value="{$anfrage->cType}">
							{elseif $anfrage->cType == 'basket'}
								<input name="fMindestbestellwert" type="hidden" value="{$cParams_arr.WarensummeBrutto}">
								<input name="cType" type="hidden" value="{$anfrage->cType}">
								<input name="bPreisvorschlagAkzeptiert" type="hidden" value="-1">
							{/if}
							<input name="OfferValue" type="text" value="" class="form-control">
						</form>
					</td>
					<td class="text-nowrap"><input name="OfferType" form="formAnfrage{$smarty.foreach.anfragen.iteration}" type="radio" value="prozent" class="" checked="checked"> %</td>
					<td class="text-nowrap"><input name="OfferType" form="formAnfrage{$smarty.foreach.anfragen.iteration}" type="radio" value="festpreis" class=""> &euro;</td>
					<td>
						<button type="submit" form="formAnfrage{$smarty.foreach.anfragen.iteration}" class="btn btn-success"><i class="fa fa-envelope" aria-hidden="true"></i></button> 
						{*<a href="/admin/plugin.php?kPlugin={$oIndividualOfferPlugin->kPlugin}&cPluginTab=Druckarten&kAnfrage={$anfrage->kAnfrage}&cDruck={$anfrage->cDruck}&kalkaction=deleteDruckart" class="btn btn-danger" onclick="return confirm('Wirklich loeschen?')"><i class="fa fa-trash" aria-hidden="true"></i></a>*}
					</td>
				</tr>
		{/foreach}
			</tbody>
		</table>
	{else}
		<div class="alert alert-info">
			<p>Keine offenen Angebotsanfragen vorhanden.</p>
		</div>
	{/if}
	<div class="pull-right">
		<a href="/admin/plugin.php?kPlugin={$oIndividualOfferPlugin->kPlugin}&cPluginTab=Angebote" class="btn btn-danger"><span>Alle Anfragen ansehen</span></a>
	</div>
</div>
{literal}
<script>
	$('input[name="bPreisvorschlagAkzeptiert"]').on('change', function() {
		var tr = $(this).closest('tr');
		if (this.checked) {
			tr.find('input[name="OfferValue"]').prop('disabled', true);
		} else {
			tr.find('input[name="OfferValue"]').prop('disabled', false);
		}
	});
	$(document).ready(function() {	
		$('i.tt:not(.open)').on('touchstart', function() {
			if ($(this).hasClass('open')) {
				$(this).removeClass('open').tooltip('hide');
			} else {
				$(this).addClass('open').tooltip('show');
			}
		});	
	});
</script>
{/literal}